Bug 6222 - net rpc vampire needs to do correct replication protocol choice
net rpc vampire needs to do correct replication protocol choice
Status: RESOLVED FIXED
Product: Samba 3.3
Classification: Unclassified
Component: Domain Control
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 09:34 UTC by Guenther Deschner
Modified: 2009-08-05 04:50 UTC (History)
1 user (show)

See Also:
gd: review+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2009-03-26 09:34:45 UTC
net rpc vampire needs to do correct replication protocol choice. right now we check for mixed/native mode and prefer netlogon in case of mixed mode.
Comment 1 Guenther Deschner 2009-07-13 09:57:54 UTC
Patch from metze has been pushed to master (http://git.samba.org/?p=samba.git;a=commitdiff;h=8646b9521d267284a335aafba3df6039c41b8370).

Something we want to have in 3.4/3.3 and well ? (feature was not present in 3.2 IIRC.)
Comment 2 Jeremy Allison 2009-07-13 14:05:00 UTC
Yes for 3.4.1, not convinced for 3.3.x.
Jeremy.
Comment 3 Guenther Deschner 2009-08-04 08:31:19 UTC
Patch looks fine. Karolin, please pick for 3.4.1
Comment 4 Karolin Seeger 2009-08-05 04:50:59 UTC
Patch will be included in 3.4.1.
Closing out bug report.

Thanks!